import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ShContextMenuService } from './sh-context-menu.service';
import { ShContextMenuComponent } from './sh-context-menu.component';
import { Subscription } from 'rxjs/Subscription';
export declare class ShAttachMenuDirective implements OnDestroy, OnInit {
    private ctxService;
    private elm;
    menu: ShContextMenuComponent;
    triggers: string[];
    data: any;
    sub: Subscription;
    constructor(ctxService: ShContextMenuService, elm: ElementRef);
    ngOnInit(): void;
    private setupEvents();
    openMenu(event: MouseEvent): void;
    ngOnDestroy(): void;
}
