import { OnDestroy, QueryList } from '@angular/core';
import { ShContextMenuItemDirective } from './sh-context-menu-item.directive';
import { ShContextMenuService } from './sh-context-menu.service';
import { OverlayRef } from '@angular/cdk/overlay';
export declare class ShContextMenuComponent implements OnDestroy {
    private ctxService;
    thisContext: any;
    contentChildrenItems: any;
    viewChildrenItems: any;
    menuTemplate: any;
    menuContainer: any;
    overlayRef: OverlayRef;
    private subActive;
    constructor(ctxService: ShContextMenuService);
    readonly menuItems: QueryList<ShContextMenuItemDirective>;
    onEnter($event: MouseEvent, item: ShContextMenuItemDirective, elm: HTMLElement): void;
    private setActive(item);
    onClick(event: MouseEvent, item: ShContextMenuItemDirective): void;
    private callWithContext(fn, fallbackContext, data, event);
    close(): void;
    ngOnDestroy(): void;
    setNotActive(): void;
    isVisible(item: ShContextMenuItemDirective): any;
}
