import { EventEmitter, TemplateRef } from '@angular/core';
import { ShContextMenuComponent } from './sh-context-menu.component';
import { ShContextMenuClickEvent } from './sh-context-menu.models';
export declare class MenuItemContext {
    $implicit: any;
    constructor();
}
export declare class ShContextMenuItemDirective {
    template: TemplateRef<MenuItemContext>;
    subMenu: ShContextMenuComponent;
    divider: boolean;
    visible: (event: ShContextMenuClickEvent) => boolean;
    disabled: (event: ShContextMenuClickEvent) => boolean;
    closeOnClick: boolean;
    click: EventEmitter<ShContextMenuClickEvent>;
    context: MenuItemContext;
    private _active;
    constructor(template: TemplateRef<MenuItemContext>);
    setNotActive(): void;
    setActive(): void;
}
