import { OnDestroy } from '@angular/core';
import { ShContextMenuComponent } from './sh-context-menu.component';
import { Overlay } from '@angular/cdk/overlay';
import { ShContextMenuEvent, ShContextSubMenuEvent } from './sh-context-menu.models';
import { OverlayRef } from '@angular/cdk/overlay';
import { Subscription } from 'rxjs/Subscription';
export declare class ShContextMenuService implements OnDestroy {
    private overlay;
    activeOverlays: OverlayRef[];
    backDropSub: Subscription;
    activeMenu: ShContextMenuComponent;
    constructor(overlay: Overlay);
    openMenu(ctxEvent: ShContextMenuEvent): void;
    openSubMenu(ctxEvent: ShContextSubMenuEvent): any;
    destroy(): void;
    ngOnDestroy(): void;
    closeSubMenus(menu: ShContextMenuComponent): void;
    private registerBackdropEvents(overlayRef);
    private createAndAttachOverlay(positionStrategy, scrollStrategy, menu, hasBackdrop?);
    private buildCloseScrollStrategy();
    private buildConnectedPositionStrategy(elm);
    private buildConnectedPositionStrategyForSubMenu(elm);
    private overrideGetBoundingClientRect(elm, event);
    private closeCurrentOverlays();
    private attachContextToItems(menu, data);
    private attachThisContext(menu, parentMenu);
    private attachOverlayRef(menu, overlayRef);
}
